--[[
	DailyTrackerButton
	Shamelessly ripped off from Atlas
]]--

function DailyTrackerButton_OnLeftClick()
	DailyTracker:ToggleFrame();
end

function DailyTrackerButton_Init()
	DailyTrackerButtonFrame:Show();
end

function DailyTrackerButton_UpdatePosition()
	DailyTrackerButtonFrame:SetPoint(
		"TOPLEFT",
		"Minimap",
		"TOPLEFT",
		54 - (DailyTracker.db.profile.ButtonRadius * cos(DailyTracker.db.profile.ButtonPosition)),
		(DailyTracker.db.profile.ButtonRadius * sin(DailyTracker.db.profile.ButtonPosition)) - 55
	);
end

-- Thanks to Yatlas for this code
function DailyTrackerButton_BeingDragged()
    -- Thanks to Gello for this code
    local xpos,ypos = GetCursorPosition() 
    local xmin,ymin = Minimap:GetLeft(), Minimap:GetBottom() 

    xpos = xmin-xpos/UIParent:GetScale()+70 
    ypos = ypos/UIParent:GetScale()-ymin-70 

    DailyTrackerButton_SetPosition(math.deg(math.atan2(ypos,xpos)));
end

function DailyTrackerButton_SetPosition(v)
    if(v < 0) then
        v = v + 360;
    end

    DailyTracker.db.profile.ButtonPosition = v;
    DailyTrackerButton_UpdatePosition();
end

function DailyTrackerButton_OnEnter()
    GameTooltip:SetOwner(this, "ANCHOR_LEFT");
    GameTooltip:SetText(DailyTrackerStrings.AddOnTitle);
	GameTooltipTextLeft1:SetTextColor(1, 1, 1);
    GameTooltip:AddLine(DailyTrackerStrings.MinimapButtonHint);
    GameTooltip:Show();
end