﻿-- LAST UPDATED: $Revision: 53 $

DailyTrackerLocalCategories["zhCN"] = {
	-- CategoryName: the name of the category
	-- Id: a unique string used to identify this category.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
	{ CategoryName = "日常副本（英雄）", Id="DAILYHEROIC" },
	{ CategoryName = "日常副本（普通）", Id="DAILYNORMAL" },
	{ CategoryName = "日常烹饪", Id="DAILYCOOKING" },
	{ CategoryName = "日常钓鱼", Id="DAILYFISHING" },
	{ CategoryName = "战场", Id="DAILYBATTLEGROUND" }
};

DailyTrackerLocalQuests["zhCN"] = {
	-- Title: title of the quest
	-- Location: instance required for the quest, or nil if it's not an instance quest
	-- Category: pointer to the category that this quest belongs.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
	-- Id: a unique string used to identify this quest.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
	
	-- DAILY NORMAL QUESTS:
	{Title="悬赏：禁魔监狱斥候", Location="禁魔监狱", Id="ARC", Category="DAILYNORMAL"},
	{Title="悬赏：盘牙侍从", Location="蒸汽地窟", Id="SV", Category="DAILYNORMAL"},
	{Title="悬赏：恶毒导师", Location="暗影迷宫", Id="SLAB", Category="DAILYNORMAL"},
	{Title="悬赏：裂隙领主", Location="黑色沼泽", Id="BM", Category="DAILYNORMAL"},
	{Title="悬赏：碎手百夫长", Location="破碎大厅", Id="SH", Category="DAILYNORMAL"},
	{Title="悬赏：痛苦妖女", Location="魔导师平台", Id="MgT", Category="DAILYNORMAL"},
	{Title="悬赏：寻日者导魔者", Location="生态船", Id="BOT", Category="DAILYNORMAL"},
	{Title="悬赏：风暴锻铸摧毁者", Location="能源舰", Id="MECH", Category="DAILYNORMAL"},
	
	-- DAILY HEROIC QUESTS:
	{Title="悬赏：纳杉的骑鞭", Location="地狱火城墙", Id="HFR", Category="DAILYHEROIC" },
	{Title="悬赏：克里丹的羽饰法杖", Location="鲜血熔炉", Id="BF", Category="DAILYHEROIC" },
	{Title="悬赏：刃拳的印记", Location="破碎大厅", Id="SH", Category="DAILYHEROIC" },
	{Title="悬赏：夸格米拉之心", Location="奴隶围栏", Id="SP", Category="DAILYHEROIC" },
	{Title="悬赏：黑色阔步者的卵", Location="深幽泥沼", Id="UB", Category="DAILYHEROIC" },
	{Title="悬赏：督军的论文", Location="蒸汽地窟", Id="SV", Category="DAILYHEROIC" },
	{Title="悬赏：艾吉斯的冠羽", Location="塞泰克大厅", Id="SETH", Category="DAILYHEROIC" },
	{Title="悬赏：沙法尔的精致饰物", Location="法力陵墓", Id="MT", Category="DAILYHEROIC" },
	{Title="懸賞:主教的靈魂寶石", Location="奧奇奈地穴", Id="AUCH", Category="DAILYHEROIC" },
	{Title="悬赏：摩摩尔的低语", Location="暗影迷宫", Id="SLAB", Category="DAILYHEROIC" },
	{Title="悬赏：时空猎手的头颅", Location="旧希尔斯布莱德丘陵", Id="DURN", Category="DAILYHEROIC" },
	{Title="悬赏：埃欧努斯的沙漏", Location="黑色沼泽", Id="BM", Category="DAILYHEROIC" },
	{Title="悬赏：扭木碎片", Location="生态船", Id="BOT", Category="DAILYHEROIC" },
	{Title="悬赏：帕萨雷恩的投影仪", Location="能源舰", Id="MECH", Category="DAILYHEROIC" },
	{Title="悬赏：斯克瑞斯的卷轴", Location="禁魔监狱", Id="ARC", Category="DAILYHEROIC" },
	{Title="悬赏：凯尔萨斯王子的徽记之戒", Location="魔导师平台", Id="MgT", Category="DAILYHEROIC" },
	
	-- DAILY COOKING QUESTS:
	{Title="魔法美味", Location="虚空风暴", Id="MANALICIOUS", Category="DAILYCOOKING"},
	{Title="甜美的复仇", Location="斯克提斯", Id="REVENGE", Category="DAILYCOOKING"},
	{Title="灵魂之汤", Location="纳格兰", Id="SOUPFORSOUL", Category="DAILYCOOKING"},
	{Title="超级美味烧烤", Location="刀锋山", Id="SUPERHOTSTEW", Category="DAILYCOOKING"},
	
	-- DAILY FISHING QUESTS:
	{Title="巨型淡水虾", Location="赞加沼泽", Id="SHRIMPIN", Category="DAILYFISHING"},
	{Title="黑鳞镖鲈", Location="泰罗卡森林", Id="BAITBANDITS", Category="DAILYFISHING"},
	{Title="世界上最大的泥鱼", Location="纳格兰", Id="GOTAWAY", Category="DAILYFISHING"},
	{Title="魔血鲷鱼", Location="影月谷/地狱火半岛", Id="FELBLOODFILLET", Category="DAILYFISHING"},
	{Title="城中的鳄鱼", Location="奥格瑞玛/暴风城", Id="CROCOLISKS", Category="DAILYFISHING"},
	
	-- DAILY BATTLEGROUNDS:
	{Title="战斗的召唤：风暴之眼", Location="风暴之眼", Id="EOTS", Category="DAILYBATTLEGROUND"},
	{Title="战斗的召唤：奥特兰克山谷", Location="奥特兰克山谷", Id="AV", Category="DAILYBATTLEGROUND"},
	{Title="战斗的召唤：阿拉希盆地", Location="阿拉希盆地", Id="AB", Category="DAILYBATTLEGROUND"},
	{Title="战斗的召唤：战歌峡谷", Location="战歌峡谷", Id="WSG", Category="DAILYBATTLEGROUND"},
	
	-- dummy quest, so noone (namely, me) has to remember to not put a comma at the end of the quest list.
	{Title="DummyQuest", Id="DUMMYQUEST", Category="NO_CATEGORY"}
};	