-- LAST UPDATED: $Revision: 57 $

DailyTrackerLocalCategories["deDE"] = {
	-- CategoryName: the name of the category
	-- Id: a unique string used to identify this category.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
	{ CategoryName = "Daily Heroic", Id="DAILYHEROIC" },
	{ CategoryName = "Daily Normal", Id="DAILYNORMAL" },
	{ CategoryName = "Daily Kochen", Id="DAILYCOOKING" },
	{ CategoryName = "Daily Fischen", Id="DAILYFISHING" },
	{ CategoryName = "Daily PVP", Id="DAILYBATTLEGROUND" }
};

DailyTrackerLocalQuests["deDE"] = {
	-- Title: title of the quest
	-- Location: instance required for the quest, or nil if it's not an instance quest
	-- Category: pointer to the category that this quest belongs.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
	-- Id: a unique string used to identify this quest.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
	
	-- DAILY NORMAL QUESTS:
	{Title="Gesucht: Schildwachen der Arkatraz", Location="Arkatraz", Id="ARC", Category="DAILYNORMAL"},
	{Title="Gesucht: Myrmidonen des Echsenkessels", Location="Dampfkammer", Id="SV", Category="DAILYNORMAL"},
	{Title="Gesucht: Bösartige Ausbilderinnen", Location="Schattenlabyrith", Id="SLAB", Category="DAILYNORMAL"},
	{Title="Gesucht: Fürsten der Zeitenrisse", Location="Schwarzer Morast", Id="BM", Category="DAILYNORMAL"},
	{Title="Gesucht: Zenturionen der Zerschmetterten Hand", Location="zerschmetterte Hallen", Id="SH", Category="DAILYNORMAL"},
	{Title="Gesucht: Schwestern der Qual", Location="Terrasse der Magister", Id="MgT", Category="DAILYNORMAL"},
	{Title="Gesucht: Kanalisierer der Sonnensucher", Location="Botanika", Id="BOT", Category="DAILYNORMAL"},
	{Title="Gesucht: Zerstörer der Sturmschmiede", Location="Mechanar", Id="MECH", Category="DAILYNORMAL"},
	
	-- DAILY HEROIC QUESTS:
	{Title="Gesucht: Nazans Reitgerte", Location="Bollwerk", Id="HFR", Category="DAILYHEROIC" },
	{Title="Gesucht: Keli'dans gefiederter Stab", Location="Blutkessel", Id="BF", Category="DAILYHEROIC" },
	{Title="Gesucht: Messerfausts Siegel", Location="zerschmetterte Hallen", Id="SH", Category="DAILYHEROIC" },
	{Title="Gesucht: Das Herz von Quagmirran", Location="Sklavenunterkünfte", Id="SP", Category="DAILYHEROIC" },
	{Title="Gesucht: Ei der Schattenmutter", Location="Tiefensumpf", Id="UB", Category="DAILYHEROIC" },
	{Title="Gesucht: Die Aufzeichnungen des Kriegsherren", Location="Dampfkammer", Id="SV", Category="DAILYHEROIC" },
	{Title="Gesucht: Die Kopfschmuckfedern von Ikiss", Location="Sethekk Hallen", Id="SETH", Category="DAILYHEROIC" },
	{Title="Gesucht: Shaffars wundersames Amulett", Location="Managruft", Id="MT", Category="DAILYHEROIC" },
	{Title="Gesucht: Der Seelenedelstein des Exarchen", Location="Auchindoun Krypta", Id="AUCH", Category="DAILYHEROIC" },
	{Title="Gesucht: Murmurs Flüstern", Location="Schattenlabyrinth", Id="SLAB", Category="DAILYHEROIC" },
	{Title="Gesucht: Der Kopf des Epochenjägers	", Location="Altes Vorgebirge des Hügellandes", Id="DURN", Category="DAILYHEROIC" },
	{Title="Gesucht: Aeonus' Stundenglas", Location="Schwarzer Morast", Id="BM", Category="DAILYHEROIC" },
	{Title="Gesucht: Warpzweigsplitter", Location="Botanika", Id="BOT", Category="DAILYHEROIC" },
	{Title="Gesucht: Pathaleons Projektionsgerät", Location="Mechanar", Id="MECH", Category="DAILYHEROIC" },
	{Title="Gesucht: Horizontiss' Schriftrolle", Location="Arkatraz", Id="ARC", Category="DAILYHEROIC" },
	{Title="Gesucht: Der Siegelring von Prinz Kael'thas", Location="Terrasse der Magister", Id="MgT", Category="DAILYHEROIC" },
	
	-- DAILY COOKING QUESTS:
	{Title="Manaziös", Location="Nethersturm", Id="MANALICIOUS", Category="DAILYCOOKING"},
	{Title="Rache ist schmackhaft", Location="Skettis", Id="REVENGE", Category="DAILYCOOKING"},
	{Title="Suppe für die Seele", Location="Nagrand", Id="SOUPFORSOUL", Category="DAILYCOOKING"},
	{Title="Superheißes Ragout", Location="Schergrat", Id="SUPERHOTSTEW", Category="DAILYCOOKING"},
	
	-- DAILY FISHING QUESTS:
	{Title="Garnelenfangen ist nicht einfach", Location="Zangarmarschen", Id="SHRIMPIN", Category="DAILYFISHING"},
	{Title="Köderbanditen", Location="Wälder von Terokkar", Id="BAITBANDITS", Category="DAILYFISHING"},
	{Title="Der Eine, der entkam", Location="Nagrand", Id="GOTAWAY", Category="DAILYFISHING"},
	{Title="Teufelsblutfilet", Location="SMT / HFH", Id="FELBLOODFILLET", Category="DAILYFISHING"},
	{Title="Krokilisken in der Stadt", Location="OG / SW", Id="CROCOLISKS", Category="DAILYFISHING"},
	
	-- DAILY BATTLEGROUNDS:
	{Title="Ruf zu den Waffen: Auge des Sturms", Location="Auge des Sturms", Id="EOTS", Category="DAILYBATTLEGROUND"},
	{Title="Ruf zu den Waffen: Alteractal", Location="Alteractal", Id="AV", Category="DAILYBATTLEGROUND"},
	{Title="Ruf zu den Waffen: Arathibecken", Location="Arathibecken", Id="AB", Category="DAILYBATTLEGROUND"},
	{Title="Ruf zu den Waffen: Kriegshymnenschlucht", Location="Kriegshymnenschlucht", Id="WSG", Category="DAILYBATTLEGROUND"},
	
	-- dummy quest, so noone (namely, me) has to remember to not put a comma at the end of the quest list.
	{Title="DummyQuest", Id="DUMMYQUEST", Category="NO_CATEGORY"}
};	