﻿-- LAST UPDATED: $Revision: 53 $

DailyTrackerLocalCategories["koKR"] = {
	-- CategoryName: the name of the category
	-- Id: a unique string used to identify this category.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
	{ CategoryName = "영던 (일일)", Id="DAILYHEROIC" },
	{ CategoryName = "일반 (일일)", Id="DAILYNORMAL" },
	{ CategoryName = "요리 (일일)", Id="DAILYCOOKING" },
	{ CategoryName = "낚시 (일일)", Id="DAILYFISHING" },
	{ CategoryName = "전장", Id="DAILYBATTLEGROUND" }
};

DailyTrackerLocalQuests["koKR"] = {
	-- Title: title of the quest
	-- Location: instance required for the quest, or nil if it's not an instance quest
	-- Category: pointer to the category that this quest belongs.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
	-- Id: a unique string used to identify this quest.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
	
	-- DAILY NORMAL QUESTS:
	{Title="현상 수배: 알카트라즈 파수병", Location="알카트라즈", Id="ARC", Category="DAILYNORMAL"},
	{Title="현상 수배: 갈퀴송곳니 수호병", Location="증기 저장고", Id="SV", Category="DAILYNORMAL"},
	{Title="현상 수배: 무시무시한 주임교관", Location="어둠의 미궁", Id="SLAB", Category="DAILYNORMAL"},
	{Title="현상 수배: 균열의 군주", Location="검은늪", Id="BM", Category="DAILYNORMAL"},
	{Title="현상 수배: 으스러진 손의 백인대장", Location="으스러진 손의 전당", Id="SH", Category="DAILYNORMAL"},
	{Title="현상 수배: 고난의 자매", Location="마법학자의 정원", Id="MgT", Category="DAILYNORMAL"},
	{Title="현상 수배: 태양추적대 역술사", Location="신록의 정원", Id="BOT", Category="DAILYNORMAL"},
	{Title="현상 수배: 폭풍우 괴철로 파괴자", Location="메카나르", Id="MECH", Category="DAILYNORMAL"},
	
	-- DAILY HEROIC QUESTS:
	{Title="구함: 나잔의 비룡 채찍", Location="지옥불 성루", Id="HFR", Category="DAILYHEROIC" },
	{Title="구함: 켈리단의 깃털장식 지팡이", Location="피의 용광로", Id="BF", Category="DAILYHEROIC" },
	{Title="구함: 블레이드피스트의 인장", Location="으스러진 손의 전당", Id="SH", Category="DAILYHEROIC" },
	{Title="구함: 쿠아그미란의 심장", Location="강제 노역소", Id="SP", Category="DAILYHEROIC" },
	{Title="구함: 검은 추적자의 알", Location="지하수렁", Id="UB", Category="DAILYHEROIC" },
	{Title="구함: 장군의 병법서", Location="증기 저장고", Id="SV", Category="DAILYHEROIC" },
	{Title="구함: 이키스의 머리 깃털", Location="세데크 전당", Id="SETH", Category="DAILYHEROIC" },
	{Title="구함: 샤파르의 불가사의한 아뮬렛", Location="마나 무덤", Id="MT", Category="DAILYHEROIC" },
	{Title="구함: 총독의 영혼 보석", Location="아키나이 납골당", Id="AUCH", Category="DAILYHEROIC" },
	{Title="구함: 울림의 소리", Location="어둠의 미궁", Id="SLAB", Category="DAILYHEROIC" },
	{Title="구함: 시대의 사냥꾼 머리", Location="옛 힐스브래드 구릉지", Id="DURN", Category="DAILYHEROIC" },
	{Title="구함: 아에누스의 모래시계", Location="검은늪", Id="BM", Category="DAILYHEROIC" },
	{Title="구함: 차원의 분리자 가지", Location="신록의 정원", Id="BOT", Category="DAILYHEROIC" },
	{Title="구함: 파탈리온의 투사기", Location="메카나르", Id="MECH", Category="DAILYHEROIC" },
	{Title="구함: 스키리스의 두루마리", Location="알카트라즈", Id="ARC", Category="DAILYHEROIC" },
	{Title="구함: 캘타스 왕자의 인장 반지", Location="마법학자의 정원", Id="MgT", Category="DAILYHEROIC" },
	
	-- DAILY COOKING QUESTS:
	{Title="맛있는 마나", Location="황천의 폭풍", Id="MANALICIOUS", Category="DAILYCOOKING"},
	{Title="복수의 감칠맛", Location="스케티스", Id="REVENGE", Category="DAILYCOOKING"},
	{Title="영혼의 수프", Location="나그란드", Id="SOUPFORSOUL", Category="DAILYCOOKING"},
	{Title="엄청나게 매운 스튜", Location="칼날 산맥", Id="SUPERHOTSTEW", Category="DAILYCOOKING"},
	
	-- DAILY FISHING QUESTS:
	{Title="새우잡이", Location="장가르 습지대", Id="SHRIMPIN", Category="DAILYFISHING"},
	{Title="미끼 도둑", Location="테로카르 숲", Id="BAITBANDITS", Category="DAILYFISHING"},
	{Title="놓친 물고기", Location="나그란드", Id="GOTAWAY", Category="DAILYFISHING"},
	{Title="지옥피퉁돔 분비선", Location="지옥불반도 / 어둠달골짜기", Id="FELBLOODFILLET", Category="DAILYFISHING"},
	{Title="도시에 나타난 악어", Location="오그리마 / 스톰윈드", Id="CROCOLISKS", Category="DAILYFISHING"},
	
	-- DAILY BATTLEGROUNDS:
	{Title="전장으로: 폭풍의 눈", Location="폭풍의 눈", Id="EOTS", Category="DAILYBATTLEGROUND"},
	{Title="전장으로: 알터랙 계곡", Location="알터랙 계곡", Id="AV", Category="DAILYBATTLEGROUND"},
	{Title="전장으로: 아라시 분지", Location="아라시 분지", Id="AB", Category="DAILYBATTLEGROUND"},
	{Title="전장으로: 전쟁노래 협곡", Location="전쟁노래 협곡", Id="WSG", Category="DAILYBATTLEGROUND"},
	
	-- dummy quest, so noone (namely, me) has to remember to not put a comma at the end of the quest list.
	{Title="DummyQuest", Id="DUMMYQUEST", Category="NO_CATEGORY"}
};	