﻿-- LAST UPDATED: $Revision: 69 $

DailyTrackerLocalCategories["ruRU"] = {
	-- CategoryName: the name of the category
	-- Id: a unique string used to identify this category.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
	{ CategoryName = "Героическое (ежедневное)", Id="DAILYHEROIC" },
	{ CategoryName = "Обычное (ежедневное)", Id="DAILYNORMAL" },
	{ CategoryName = "Кулинария (ежедневное)", Id="DAILYCOOKING" },
	{ CategoryName = "Рыбная ловля (ежедневное)", Id="DAILYFISHING" },
	{ CategoryName = "Поля сражений", Id="DAILYBATTLEGROUND" }
};

DailyTrackerLocalQuests["ruRU"] = {
	-- Title: title of the quest
	-- Location: instance required for the quest, or nil if it's not an instance quest
	-- Category: pointer to the category that this quest belongs.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
	-- Id: a unique string used to identify this quest.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
	
	-- DAILY NORMAL QUESTS:
	{Title="Розыск: Часовые Аркатраца", Location="Аркатрац", Id="ARC", Category="DAILYNORMAL"},
	{Title="Розыск: Мирмидоны Резервуара Кривого Клыка", Location="Паровое Подземелье", Id="SV", Category="DAILYNORMAL"},
	{Title="Разыскиваются: Злобные инструкторы.", Location="Темный Лабиринт", Id="SLAB", Category="DAILYNORMAL"},
	{Title="Розыск: Повелители временных разломов", Location="Черные Топи", Id="BM", Category="DAILYNORMAL"},
	{Title="РАЗЫСКИВАЮТСЯ: Центурионы клана Изувеченной Длани", Location="Разрушенные Залы", Id="SH", Category="DAILYNORMAL"},
	{Title="Заказ: сестры Терзаний", Location="Терраса Магистров", Id="MgT", Category="DAILYNORMAL"},
	{Title="Розыск: Солнцеловы-чаротворцы", Location="Ботаника", Id="BOT", Category="DAILYNORMAL"},
	{Title="Розыск: Разрушители Бурегорна", Location="Механар", Id="MECH", Category="DAILYNORMAL"},
	
	-- DAILY HEROIC QUESTS:
	{Title="Заказ: Ездовой хлыстик Назана", Location="Бастионы Адского Пламени", Id="HFR", Category="DAILYHEROIC" },
	{Title="Заказ: Украшенный перьями посох Кели'дана", Location="Кузня Крови", Id="BF", Category="DAILYHEROIC" },
	{Title="Заказ: печать Острорука", Location="Разрушенные Залы", Id="SH", Category="DAILYHEROIC" },
	{Title="Требуется: сердце Квагмирран", Location="Узилище", Id="SP", Category="DAILYHEROIC" },
	{Title="Требуется: яйцо Черной Охотницы", Location="Нижетопь", Id="UB", Category="DAILYHEROIC" },
	{Title="Требуется: трактат полководца", Location="Паровое Подземелье", Id="SV", Category="DAILYHEROIC" },
	{Title="Разыскиваются: головные перья Айкисса", Location="Сетеккские Залы", Id="SETH", Category="DAILYHEROIC" },
	{Title="Разыскивается: Заговоренный Амулет Шаффара", Location="Гробницы Маны", Id="MT", Category="DAILYHEROIC" },
	{Title="Разыскивается: Самоцвет души Экзарха", Location="Аукенайские Гробницы", Id="AUCH", Category="DAILYHEROIC" },
	{Title="Разыскивается: Шепот Бормотуна", Location="Темный Лабиринт", Id="SLAB", Category="DAILYHEROIC" },
	{Title="Розыск: Голова Охотника Вечности", Location="Старые Предгорья Хилсбрада", Id="DURN", Category="DAILYHEROIC" },
	{Title="Заказ: песочные часы Эонуса", Location="Черные Топи", Id="BM", Category="DAILYHEROIC" },
	{Title="Заказ: Отросток Узлодревня", Location="Ботаника", Id="BOT", Category="DAILYHEROIC" },
	{Title="Заказ: Проектор Паталеона", Location="Механар", Id="MECH", Category="DAILYHEROIC" },
	{Title="Заказ: Свиток Скайрисса", Location="Аркатрац", Id="ARC", Category="DAILYHEROIC" },
	{Title="Заказ: перстень-печатка принца Кель'таса", Location="Терраса Магистров", Id="MgT", Category="DAILYHEROIC" },
	
	-- DAILY COOKING QUESTS:
	{Title="Мания", Location="Пустоверть", Id="MANALICIOUS", Category="DAILYCOOKING"},
	{Title="Месть сладка", Location="Скеттис", Id="REVENGE", Category="DAILYCOOKING"},
	{Title="Супчик для души", Location="Награнд", Id="SOUPFORSOUL", Category="DAILYCOOKING"},
	{Title="Очень горячая похлебка", Location="Острогорье", Id="SUPERHOTSTEW", Category="DAILYCOOKING"},
	
	-- DAILY FISHING QUESTS:
	{Title="Ловить креветок – это не жук чихнул", Location="Зангартопь", Id="SHRIMPIN", Category="DAILYFISHING"},
	{Title="Поймай бандюгу", Location="Лес Тероккар", Id="BAITBANDITS", Category="DAILYFISHING"},
	{Title="Та самая рыбка", Location="Награнд", Id="GOTAWAY", Category="DAILYFISHING"},
	{Title="Филе сквернокровного луциана", Location="ДПЛ / ПАП", Id="FELBLOODFILLET", Category="DAILYFISHING"},
	{Title="Кроколиски в городе", Location="Оргриммар / Штормград", Id="CROCOLISKS", Category="DAILYFISHING"},
	
	-- DAILY BATTLEGROUNDS:
	{Title="К оружию! Око Бури", Location="Око Бури", Id="EOTS", Category="DAILYBATTLEGROUND"},
	{Title="К оружию! Альтеракская долина", Location="Альтеракская долина", Id="AV", Category="DAILYBATTLEGROUND"},
	{Title="К оружию! Низина Арати", Location="Низина Арати", Id="AB", Category="DAILYBATTLEGROUND"},
	{Title="К оружию! Ущелье Песни Войны", Location="Ущелье Песни Войны", Id="WSG", Category="DAILYBATTLEGROUND"},
	
	-- dummy quest, so noone (namely, me) has to remember to not put a comma at the end of the quest list.
	{Title="DummyQuest", Id="DUMMYQUEST", Category="NO_CATEGORY"}
};	