﻿-- LAST UPDATED: $revision$

DailyTrackerLocalCategories["zhTW"] = {
	-- CategoryName: the name of the category
	-- Id: a unique string used to identify this category.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
	{ CategoryName = "日常副本（英雄）", Id="DAILYHEROIC" },
	{ CategoryName = "日常副本（普通）", Id="DAILYNORMAL" },
	{ CategoryName = "日常烹饪", Id="DAILYCOOKING" },
	{ CategoryName = "日常钓鱼", Id="DAILYFISHING" },
	{ CategoryName = "战场", Id="DAILYBATTLEGROUND" }
};

DailyTrackerLocalQuests["zhTW"] = {
	-- Title: title of the quest
	-- Location: instance required for the quest, or nil if it's not an instance quest
	-- Category: pointer to the category that this quest belongs.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
	-- Id: a unique string used to identify this quest.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
	
	-- DAILY NORMAL QUESTS:
	{Title="懸賞:亞克崔茲哨兵", Location="亞克崔茲", Id="ARC", Category="DAILYNORMAL"},
	{Title="懸賞:盤牙侍從", Location="蒸汽洞窟", Id="SV", Category="DAILYNORMAL"},
	{Title="懸賞:惡毒導師", Location="暗影迷宮", Id="SLAB", Category="DAILYNORMAL"},
	{Title="懸賞:裂縫領主", Location="黑色沼澤", Id="BM", Category="DAILYNORMAL"},
	{Title="懸賞:破碎之手百夫長", Location="破碎大廳", Id="SH", Category="DAILYNORMAL"},
	{Title="懸賞:折磨之女", Location="博學者殿堂", Id="MgT", Category="DAILYNORMAL"},
	{Title="懸賞:尋日導魔師", Location="波塔尼卡", Id="BOT", Category="DAILYNORMAL"},
	{Title="懸賞:風暴要塞-熔爐毀滅者", Location="麥克納爾", Id="MECH", Category="DAILYNORMAL"},
	
	-- DAILY HEROIC QUESTS:
	{Title="懸賞:納桑的騎乘馬鞭", Location="地獄火壁壘", Id="HFR", Category="DAILYHEROIC" },
	{Title="懸賞:凱利丹的羽飾手杖", Location="血熔爐", Id="BF", Category="DAILYHEROIC" },
	{Title="懸賞:刃拳的徽印", Location="破碎大廳", Id="SH", Category="DAILYHEROIC" },
	{Title="懸賞:奎克米瑞之心", Location="奴隸監獄", Id="SP", Category="DAILYHEROIC" },
	{Title="懸賞:黑色捕獵者的蛋", Location="幽暗沼泽", Id="UB", Category="DAILYHEROIC" },
	{Title="懸賞:督軍的論述", Location="蒸汽洞窟", Id="SV", Category="DAILYHEROIC" },
	{Title="懸賞:伊奇斯的冠羽", Location="塞司克大廳", Id="SETH", Category="DAILYHEROIC" },
	{Title="懸賞:薩法爾的奇妙護符", Location="法力墓地", Id="MT", Category="DAILYHEROIC" },
	{Title="悬赏：主教的灵魂宝钻", Location="奥金尼地穴", Id="AUCH", Category="DAILYHEROIC" },
	{Title="懸賞:莫爾墨的低語", Location="暗影迷宮", Id="SLAB", Category="DAILYHEROIC" },
	{Title="懸賞:紀元狩獵者的頭顱", Location="希爾斯布萊德丘陵舊址", Id="DURN", Category="DAILYHEROIC" },
	{Title="懸賞:艾奧那斯的沙漏", Location="黑色沼澤", Id="BM", Category="DAILYHEROIC" },
	{Title="懸賞:扭曲分裂者的剪枝", Location="波塔尼卡", Id="BOT", Category="DAILYHEROIC" },
	{Title="懸賞:帕薩里歐的投映器", Location="麥克納爾", Id="MECH", Category="DAILYHEROIC" },
	{Title="懸賞:史蓋力司卷軸", Location="亞克崔茲", Id="ARC", Category="DAILYHEROIC" },
	{Title="懸賞:凱爾薩斯王子的璽戒", Location="博學者殿堂", Id="MgT", Category="DAILYHEROIC" },
	
	-- DAILY COOKING QUESTS:
	{Title="美味法力", Location="虛空風暴", Id="MANALICIOUS", Category="DAILYCOOKING"},
	{Title="美味的復仇", Location="司凱堤斯", Id="REVENGE", Category="DAILYCOOKING"},
	{Title="靈魂之湯", Location="納葛蘭", Id="SOUPFORSOUL", Category="DAILYCOOKING"},
	{Title="超燙的燉肉", Location="劍刃山脈", Id="SUPERHOTSTEW", Category="DAILYCOOKING"},
	
	-- DAILY FISHING QUESTS:
	{Title="抓蝦子一點都不簡單", Location="贊格沼澤", Id="SHRIMPIN", Category="DAILYFISHING"},
	{Title="魚餌強盜", Location="泰洛卡森林", Id="BAITBANDITS", Category="DAILYFISHING"},
	{Title="逃脫的那個", Location="納葛蘭", Id="GOTAWAY", Category="DAILYFISHING"},
	{Title="魔化之血肉片", Location="影月谷/地獄火半島", Id="FELBLOODFILLET", Category="DAILYFISHING"},
	{Title="城裡的鱷魚", Location="奧格瑞瑪/暴風城", Id="CROCOLISKS", Category="DAILYFISHING"},
	
	-- DAILY BATTLEGROUNDS:
	{Title="戰鬥的號角:暴風之眼", Location="暴風之眼", Id="EOTS", Category="DAILYBATTLEGROUND"},
	{Title="戰鬥的號角:奧特蘭克山谷", Location="奧特蘭克山谷", Id="AV", Category="DAILYBATTLEGROUND"},
	{Title="戰鬥的號角: 阿拉希盆地", Location="阿拉希盆地", Id="AB", Category="DAILYBATTLEGROUND"},
	{Title="戰鬥的號角:戰歌峽谷", Location="戰歌峽谷", Id="WSG", Category="DAILYBATTLEGROUND"},
	
	-- dummy quest, so noone (namely, me) has to remember to not put a comma at the end of the quest list.
	{Title="DummyQuest", Id="DUMMYQUEST", Category="NO_CATEGORY"}
};	